Kaseya Community

Agent install stops on CentOS

This question is answered

Hi all, 

I'm trailing Kaseya on CentOS, however the installer just stops blankly on a CentOS server. I'm running the installer as root, and have changed the tempdir but still no luck. Has anyone got any insight into what it could be?

Cheers!

All Replies
  • @labrat - What does the associated PID-based kasetup.log file show form the installation attempt?



    [edited by: Dylan M. Lagi at 3:25 PM (GMT -7) on Apr 2, 2013] -
  • Hi Dylan,

    Thanks for responding.

    Looking in the temp directory there is a yum errors log:

    Error: Protected multilib versions: libstdc++-4.4.7-3.el6.i686 != libstdc++-4.4.6-3.el6.x86_64

    Error: Protected multilib versions: glib2-2.22.5-7.el6.i686 != glib2-2.22.5-6.el6.x86_64

    But there isn't an error log in /opt/

    I'm not used to centos in any way, but it seems like I may have to remove duplicate packages?

  • I have a ticket with the same thing - is this your ticket (CS150663)? In that ticket this is the answer:

    The solution in this case is to run this:

     # yum update -y

    This is because multilib is the term Red Hat (and CentOS of course) use for a 64-bit system which also has 32-bit libraries. We require for running the 32-bit installer and agent. The packaging system won't install a newer version of the 32-bit library than the 64-bit version. That is what is happening here, so a system update will resolve this - rerun the agent install after that.



    [edited by: Dylan M. Lagi at 3:24 PM (GMT -7) on Apr 2, 2013] -
  • Its not duplicate packages. You're system is 64-bit and the installer is trying to install 32-bit library packages. However, you're system is out of date and the 32-bit packages are newer versions than the (existing) 64-bit packages. The packaging system disallows that (CentOS, not Kaseya) and the install fails.

    As Dylan suggests, update the system and the agent should successfully install.

    Gordon - Linux Agent Development Team